#ifndef LIBSARIA_TAGS_H
#define LIBSARIA_TAGS_H

#include <libsaria/files.h>

#include <string>
using namespace std;

class TrackTag
{
	private:
		string filepath;
		string title;
		string artist;
		string album;
		string comment;
		string genre;
		string lenstr;
		unsigned int year;
		unsigned int track;
		int length;
		int bitrate;
		int sample;
		int channels;

		void make_lenstr();

	public:
		TrackTag();
		TrackTag(const TrackTag &);
		TrackTag(string);
		TrackTag(InFile &);
		~TrackTag();
		void save(OutFile &);

		unsigned int get_track();
		string get_title();
		string get_lenstr();
		string get_artist();
		string get_album();
		string get_filepath();
		unsigned int get_year();
};

#endif /* LIBSARIA_TAGS_H */
